import { NetRequest } from "../../Engine/CatanEngine/NetManagerV2/NetRequest";

export namespace VipRequest {
    export enum Level {
        Iron = 1,
        Copper,
        Silver,
        Gold,
        Platinum,
        Diamond,
    }
    // =======================================================================================
    export interface InfoResponse {
        /** vip 等級 */
        level: Level,
        /** [次數, 時間], */
        rich: number[],
        /** 當前下注(前一個月+當月) */
        bet: number,
        /** 當前儲值(前一個月+當月) */
        sv: number,
        /** 剩餘時間 */
        et: number,
    }

    export class VIPInfo extends NetRequest<null, InfoResponse> {
        get Method(): string {
            return "vip.info";
        }
        constructor() {
            super();
        }
    }

    // =======================================================================================
    export class VIPLevel extends NetRequest<null, number> {
        get Method(): string {
            return "vip.level";
        }
        constructor() {
            super();
        }
    }

    // =======================================================================================
    export class VIPRich extends NetRequest<null, JSON> {
        get Method(): string {
            return "vip.rich";
        }
        constructor() {
            super();
        }
    }

    // =======================================================================================
    export class VIPMonth extends NetRequest<null, JSON> {
        get Method(): string {
            return "vip.month";
        }
        constructor() {
            super();
        }
    }

    // =======================================================================================
}